Subject: Re: bug#13984: Automate the build of ja-dic.el
From: Paul Eggert <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, Kenichi Handa <[email-masked]>
Date: Sun, 17 Mar 2013 21:46:01 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/16/2013 07:36 PM, Stefan Monnier wrote:

> By "bootstrap builds" you mean "builds from the Bzr repository". 

Yes, thanks, I fixed that in the commentary.

> the problem I see with your patch (whose goal I agree with) is that
> it adds a dependency on Awk, which is probably going to be a problem for
> the Windows contributors.

That shouldn't be a showstopper, as Awk ports are widely available
for Windows, and the GNU coding standards have said for many years
that it's OK to assume Awk.  For this particular case, though,
it's easy to remove the dependency on Awk so I did that.

On 03/16/2013 08:55 PM, Eli Zaretskii wrote:

> Another problem is with the file name SKK-JISYO.L.unannotated,
> since it clashes with SKK-JISYO.L on 8+3 DOS filesystems.  Can we use
> a different name, please?

I altered things so that the file is not needed, which sidesteps
the problem.  I agree with Andreas that we should come up with a better
way of dealing with the 8+3 problem, though, so as to be less intrusive
to mainline development.

Installed as trunk bzr 112072 and marking this bug as done.